summaryrefslogtreecommitdiff
path: root/tests/regression-funcs.sh
diff options
context:
space:
mode:
authorMåns Rullgård <mans@mansr.com>2010-09-23 09:55:31 +0000
committerMåns Rullgård <mans@mansr.com>2010-09-23 09:55:31 +0000
commitc4795e8069cf6867a59e94b1d9f258d733fb4c53 (patch)
tree2adcdd95083d8d3eccdcb394cd5de43cce652a6e /tests/regression-funcs.sh
parentb7d56a17ae14fa538b5dc5630df6e937319ae57b (diff)
fate: print commands being executed with V=1
Originally committed as revision 25161 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/regression-funcs.sh')
-rwxr-xr-xtests/regression-funcs.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tests/regression-funcs.sh b/tests/regression-funcs.sh
index 970485c87e..28da0c1303 100755
--- a/tests/regression-funcs.sh
+++ b/tests/regression-funcs.sh
@@ -41,9 +41,15 @@ mkdir -p "$datadir"
mkdir -p "$outfile"
mkdir -p "$logdir"
-[ "${V-0}" -gt 0 ] && echov=echo || echov=:
+(exec >&3) 2>/dev/null || exec 3>&2
+
+[ "${V-0}" -gt 0 ] && echov=echov || echov=:
[ "${V-0}" -gt 1 ] || exec 2>$errfile
+echov(){
+ echo "$@" >&3
+}
+
. $(dirname $0)/md5.sh
FFMPEG_OPTS="-v 0 -y -flags +bitexact -dct fastint -idct simple -sws_flags +accurate_rnd+bitexact"